IntlCalendar::getTimeZone
IntlCalendar::getWeekendTransition
IntlCalendar
PHP Manual

# IntlCalendar::getType

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::getType — Get the calendar type

### Description

Object oriented style

public string IntlCalendar::getType ( void )

Procedural style

string intlcal_get_type ( IntlCalendar `$cal` )

A string describing the type of this calendar. This is one of the valid values for the calendar keyword value 'calendar'.

### Parameters

`cal`

  The IntlCalendar resource.

### Return Values

A string representing the calendar type, such as 'gregorian', 'islamic', etc.

### Examples

Example #1 IntlCalendar::getType()

`<?php
ini_set('date.timezone', 'Europe/Lisbon');
ini_set('intl.default_locale', 'en_US');
$cal = IntlCalendar::createInstance(NULL, '@calendar=ethiopic-amete-alem');
var_dump($cal->getType());
$cal = new IntlGregorianCalendar();
var_dump($cal->getType());`

The above example will output:

    string(19) "ethiopic-amete-alem"
    string(9) "gregorian"

IntlCalendar::getTimeZone
IntlCalendar::getWeekendTransition
IntlCalendar
PHP Manual